%define upstream_name    Net-IDN-Encode
%define upstream_version 2.300

%global __provides_exclude perl\\(Net::IDN::UTS46::_Mapping\\)
# private module:
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Net::IDN::UTS46::_Mapping\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Encoding/Decoding of IDNs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
This module provides an easy-to-use interface for encoding and decoding
Internationalized Domain Names (IDNs).

IDNs use characters drawn from a large repertoire (Unicode), but IDNA
allows the non-ASCII characters to be represented using only the ASCII
characters already allowed in so-called host names today
(letter-digit-hypen, '/[A-Z0-9-]/i').

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.300.0-4.mga6
+ Revision: 1031087
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2.300.0-3.mga6
+ Revision: 971607
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 2.300.0-2.mga6
+ Revision: 892098
- make it noarch thus fixing empty debuginfo

* Sun Jul 19 2015 sander85 <sander85> 2.300.0-1.mga6
+ Revision: 855310
- update to 2.300

* Sat Jul 04 2015 sander85 <sander85> 2.202.0-1.mga6
+ Revision: 850042
- update to 2.202

* Sun Oct 19 2014 umeabot <umeabot> 2.201.0-6.mga5
+ Revision: 789641
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.201.0-5.mga5
+ Revision: 740237
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.201.0-4.mga5
+ Revision: 733964
- add exclude

* Tue Sep 30 2014 tv <tv> 2.201.0-3.mga5
+ Revision: 732419
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.201.0-2.mga5
+ Revision: 685664
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sun Aug 31 2014 sander85 <sander85> 2.201.0-1.mga5
+ Revision: 669950
- update to 2.201

* Sat Jun 21 2014 sander85 <sander85> 2.200.0-1.mga5
+ Revision: 638414
- update to 2.200

* Fri Feb 07 2014 sander85 <sander85> 2.100.0-1.mga5
+ Revision: 585541
- update to 2.100

* Sat Oct 19 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 531951
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 2.4.0-1.mga4
+ Revision: 465977
- update to 2.004

* Sun Jan 13 2013 umeabot <umeabot> 2.3.0-2.mga3
+ Revision: 370632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 2.3.0-1.mga2
+ Revision: 220105
- update to 2.003

* Tue Dec 20 2011 kharec <kharec> 1.102.0-1.mga2
+ Revision: 184975
- update to 1.102

* Fri Dec 09 2011 kharec <kharec> 1.101.0-1.mga2
+ Revision: 179402
- update to 1.101

  + jquelin <jquelin>
    - imported package perl-Net-IDN-Encode


* Mon Jul 25 2011 cpan2dist 1.100-1mga
- initial mageia release, generated with cpan2dist
